﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.36366
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
namespace SafetyAutomation.HiratalkChecklist {
    using System.Web.UI.WebControls.Expressions;
    using System.Web.UI.HtmlControls;
    using System.Collections;
    using System.Text;
    using System.Web.UI;
    using System.Collections.Generic;
    using System.Linq;
    using System.Xml.Linq;
    using Microsoft.SharePoint.WebPartPages;
    using System.Web.SessionState;
    using System.Configuration;
    using Microsoft.SharePoint;
    using System.Web;
    using System.Web.DynamicData;
    using System.Web.Caching;
    using System.Web.Profile;
    using System.ComponentModel.DataAnnotations;
    using System.Web.UI.WebControls;
    using System.Web.Security;
    using System;
    using Microsoft.SharePoint.Utilities;
    using System.Text.RegularExpressions;
    using System.Collections.Specialized;
    using System.Web.UI.WebControls.WebParts;
    using Microsoft.SharePoint.WebControls;
    public partial class HiratalkChecklist {
        protected global::System.Web.UI.WebControls.Label Label5;
        protected global::System.Web.UI.WebControls.Button btnhome;
        protected global::System.Web.UI.WebControls.Label Label21;
        protected global::System.Web.UI.WebControls.Label lblfrequency;
        protected global::System.Web.UI.WebControls.Label Label23;
        protected global::System.Web.UI.WebControls.Label lblchecklist;
        protected global::System.Web.UI.WebControls.Label Label1;
        protected global::System.Web.UI.WebControls.Label lblBU;
        protected global::System.Web.UI.WebControls.Label Label3;
        protected global::System.Web.UI.WebControls.DropDownList ddlProjectCode;
        protected global::System.Web.UI.WebControls.Label lblProject;
        protected global::System.Web.UI.WebControls.Label Label22;
        protected global::Microsoft.SharePoint.WebControls.DateTimeControl DateTimeControl1;
        protected global::System.Web.UI.WebControls.Label lbldtinitiation;
        protected global::System.Web.UI.WebControls.GridView grdCompliances;
        protected global::System.Web.UI.WebControls.GridView GridView1;
        protected global::System.Web.UI.HtmlControls.HtmlGenericControl dvMainFormChecklist;
        protected global::System.Web.UI.WebControls.RadioButton rbyes;
        protected global::System.Web.UI.WebControls.RadioButton rbno;
        protected global::System.Web.UI.WebControls.Button btnsubmit;
        protected global::System.Web.UI.WebControls.Label Label13;
        protected global::System.Web.UI.WebControls.Label Label114;
        protected global::System.Web.UI.HtmlControls.HtmlGenericControl dvUnAuth;
        protected global::System.Web.UI.WebControls.Label lblSOSubNotification;
        protected global::System.Web.UI.WebControls.Label lblLinkClosureNotification;
        protected global::System.Web.UI.WebControls.Label lblProjectCode;
        protected global::System.Web.UI.WebControls.Label lblTransactionID;
        protected global::System.Web.UI.WebControls.Label lblRCMID;
        protected global::System.Web.UI.WebControls.Label lblRCMName;
        protected global::System.Web.UI.WebControls.Label lblRCMEmail;
        protected global::System.Web.UI.WebControls.Label lblPMID;
        protected global::System.Web.UI.WebControls.Label lblPMName;
        protected global::System.Web.UI.WebControls.Label lblPMEmail;
        protected global::System.Web.UI.WebControls.Label lblbuheadid;
        protected global::System.Web.UI.WebControls.Label lblbuheadName;
        protected global::System.Web.UI.WebControls.Label lblbuheadEmail;
        protected global::System.Web.UI.WebControls.Label lblHead;
        protected global::System.Web.UI.WebControls.Label lblHeadID;
        protected global::System.Web.UI.WebControls.Label lblHeadEmail;
        protected global::System.Web.UI.WebControls.Label lblSOName;
        protected global::System.Web.UI.WebControls.Label lblSOID;
        protected global::System.Web.UI.WebControls.Label lblSOEmail;
        protected global::System.Web.UI.WebControls.Label lblNewSBU;
        protected global::System.Web.UI.WebControls.Label lblError;
        protected global::System.Web.UI.WebControls.Label lblInduCoE;
        public static implicit operator global::System.Web.UI.TemplateControl(HiratalkChecklist target) 
        {
            return target == null ? null : target.TemplateControl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel5() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label5 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label5";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Upload Safety Checklists";
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Large;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Button @__BuildControlbtnhome() {
            global::System.Web.UI.WebControls.Button @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Button();
            this.btnhome = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Medium;
            @__ctrl.ID = "btnhome";
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(80, 124, 209)));
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Home";
            @__ctrl.CssClass = "auto-style3";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(61D, global::System.Web.UI.WebControls.UnitType.Pixel);
            @__ctrl.Click -= new System.EventHandler(this.btnhome_Click);
            @__ctrl.Click += new System.EventHandler(this.btnhome_Click);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel21() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label21 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label21";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Frequency";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblfrequency() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblfrequency = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblfrequency";
            @__ctrl.Text = "";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel23() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label23 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label23";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Checklist";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblchecklist() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblchecklist = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblchecklist";
            @__ctrl.Text = "";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel1() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label1";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "BU";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblBU() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblBU = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblBU";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel3() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label3 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label3";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Project";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControlddlProjectCode() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            this.ddlProjectCode = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddlProjectCode";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(100D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.AutoPostBack = true;
            @__ctrl.SelectedIndexChanged -= new System.EventHandler(this.ddlProjectCode_SelectedIndexChanged);
            @__ctrl.SelectedIndexChanged += new System.EventHandler(this.ddlProjectCode_SelectedIndexChanged);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProject() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProject = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProject";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel22() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label22 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label22";
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.Text = "Inspection Date";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::Microsoft.SharePoint.WebControls.DateTimeControl @__BuildControlDateTimeControl1() {
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl;
            @__ctrl = new global::Microsoft.SharePoint.WebControls.DateTimeControl();
            this.DateTimeControl1 = @__ctrl;
            @__ctrl.ID = "DateTimeControl1";
            @__ctrl.DateOnly = true;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllbldtinitiation() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lbldtinitiation = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lbldtinitiation";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControl__control5() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblLocation";
            @__ctrl.Visible = false;
            @__ctrl.DataBinding += new System.EventHandler(this.@__DataBinding__control5);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        public void @__DataBinding__control5(object sender, System.EventArgs e) {
            System.Web.UI.WebControls.Label dataBindingExpressionBuilderTarget;
            System.Web.UI.IDataItemContainer Container;
            dataBindingExpressionBuilderTarget = ((System.Web.UI.WebControls.Label)(sender));
            Container = ((System.Web.UI.IDataItemContainer)(dataBindingExpressionBuilderTarget.BindingContainer));
            dataBindingExpressionBuilderTarget.Text = global::System.Convert.ToString( Eval("Location") , global::System.Globalization.CultureInfo.CurrentCulture);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.DropDownList @__BuildControl__control6() {
            global::System.Web.UI.WebControls.DropDownList @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.DropDownList();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "ddllocationhtalk";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(95D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control4(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control5();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control6();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                "));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control3() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control4), null);
            @__ctrl.HeaderText = "Location";
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControl__control9() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdbYes";
            @__ctrl.Text = "Yes";
            @__ctrl.GroupName = "GC";
            @__ctrl.ValidationGroup = "GC";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(30D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.TextAlign = global::System.Web.UI.WebControls.TextAlign.Right;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControl__control10() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdbNo";
            @__ctrl.Text = "No";
            @__ctrl.GroupName = "GC";
            @__ctrl.ValidationGroup = "GC";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(30D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.TextAlign = global::System.Web.UI.WebControls.TextAlign.Right;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control8(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control9();
            @__parser.AddParsedSubObject(@__ctrl1);
            global::System.Web.UI.WebControls.RadioButton @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control10();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("<br />\r\n                "));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control7() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control8), null);
            @__ctrl.HeaderText = "Is HIRA talk given?";
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(15D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.FileUpload @__BuildControl__control13() {
            global::System.Web.UI.WebControls.FileUpload @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.FileUpload();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "uploadEvidence";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(95D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RegularExpressionValidator @__BuildControl__control14() {
            global::System.Web.UI.WebControls.RegularExpressionValidator @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RegularExpressionValidator();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "RegularExpressionValidator1";
            @__ctrl.ValidationExpression = "([a-zA-Z0-9\\s_\\\\.\\-:])+(.doc|.docx|.pdf|.png|.jpg|.jpeg|.gif|.xls|.xlsx)$";
            @__ctrl.ControlToValidate = "uploadEvidence";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            @__ctrl.ErrorMessage = "Please select a valid word,excel,jpg,jpeg,png,gif or pdf file format.";
            @__ctrl.Display = global::System.Web.UI.WebControls.ValidatorDisplay.Dynamic;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control12(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.FileUpload @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control13();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RegularExpressionValidator @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control14();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                "));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control11() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control12), null);
            @__ctrl.HeaderText = "Photo evidence";
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(30D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControl__control17() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtSORemarks";
            @__ctrl.TextMode = global::System.Web.UI.WebControls.TextBoxMode.MultiLine;
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(95D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control16(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.TextBox @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control17();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                "));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control15() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control16), null);
            @__ctrl.HeaderText = "Reason(If No selected)";
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(30D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control2(System.Web.UI.WebControls.DataControlFieldCollection @__ctrl) {
            global::System.Web.UI.WebControls.TemplateField @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control3();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.WebControls.TemplateField @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control7();
            @__ctrl.Add(@__ctrl2);
            global::System.Web.UI.WebControls.TemplateField @__ctrl3;
            @__ctrl3 = this.@__BuildControl__control11();
            @__ctrl.Add(@__ctrl3);
            global::System.Web.UI.WebControls.TemplateField @__ctrl4;
            @__ctrl4 = this.@__BuildControl__control15();
            @__ctrl.Add(@__ctrl4);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control18(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = global::System.Drawing.Color.White;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control19(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(36, 97, 191)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control20(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(80, 124, 209)));
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control21(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(80, 124, 209)));
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control22(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(36, 97, 191)));
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.HorizontalAlign = global::System.Web.UI.WebControls.HorizontalAlign.Center;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control23(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(239, 243, 251)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control24(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(209, 221, 241)));
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(51, 51, 51)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control25(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(245, 247, 251)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control26(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(109, 149, 225)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control27(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(233, 235, 239)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control28(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(72, 112, 190)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.GridView @__BuildControlgrdCompliances() {
            global::System.Web.UI.WebControls.GridView @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.GridView();
            this.grdCompliances = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "grdCompliances";
            @__ctrl.CellPadding = 4;
            @__ctrl.AutoGenerateColumns = false;
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(100D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.ForeColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(51, 51, 51)));
            @__ctrl.GridLines = global::System.Web.UI.WebControls.GridLines.Both;
            @__ctrl.CellSpacing = 4;
            this.@__BuildControl__control2(@__ctrl.Columns);
            this.@__BuildControl__control18(@__ctrl.AlternatingRowStyle);
            this.@__BuildControl__control19(@__ctrl.EditRowStyle);
            this.@__BuildControl__control20(@__ctrl.FooterStyle);
            this.@__BuildControl__control21(@__ctrl.HeaderStyle);
            this.@__BuildControl__control22(@__ctrl.PagerStyle);
            this.@__BuildControl__control23(@__ctrl.RowStyle);
            this.@__BuildControl__control24(@__ctrl.SelectedRowStyle);
            this.@__BuildControl__control25(@__ctrl.SortedAscendingCellStyle);
            this.@__BuildControl__control26(@__ctrl.SortedAscendingHeaderStyle);
            this.@__BuildControl__control27(@__ctrl.SortedDescendingCellStyle);
            this.@__BuildControl__control28(@__ctrl.SortedDescendingHeaderStyle);
            @__ctrl.RowDataBound -= new System.Web.UI.WebControls.GridViewRowEventHandler(this.grdCompliances_RowDataBound);
            @__ctrl.RowDataBound += new System.Web.UI.WebControls.GridViewRowEventHandler(this.grdCompliances_RowDataBound);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control31(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.BoundField @__BuildControl__control30() {
            global::System.Web.UI.WebControls.BoundField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.BoundField();
            @__ctrl.DataField = "Location";
            @__ctrl.HeaderText = "Location";
            @__ctrl.HeaderStyle.HorizontalAlign = global::System.Web.UI.WebControls.HorizontalAlign.Left;
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
            this.@__BuildControl__control31(@__ctrl.HeaderStyle);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control33(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.BoundField @__BuildControl__control32() {
            global::System.Web.UI.WebControls.BoundField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.BoundField();
            @__ctrl.DataField = "isCompliant";
            @__ctrl.HeaderText = "HIRA talk compliance";
            @__ctrl.HeaderStyle.HorizontalAlign = global::System.Web.UI.WebControls.HorizontalAlign.Left;
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
            this.@__BuildControl__control33(@__ctrl.HeaderStyle);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.LinkButton @__BuildControl__control36() {
            global::System.Web.UI.WebControls.LinkButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.LinkButton();
            @__ctrl.TemplateControl = this;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(95D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.CausesValidation = false;
            @__ctrl.CommandName = "DownLoad NCR";
            @__ctrl.OnClientClick = "ReloadFun()";
            @__ctrl.ID = "lnkView";
            @__ctrl.DataBinding += new System.EventHandler(this.@__DataBinding__control36);
            @__ctrl.Click -= new System.EventHandler(this.lnkView_Click);
            @__ctrl.Click += new System.EventHandler(this.lnkView_Click);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        public void @__DataBinding__control36(object sender, System.EventArgs e) {
            System.Web.UI.WebControls.LinkButton dataBindingExpressionBuilderTarget;
            System.Web.UI.IDataItemContainer Container;
            dataBindingExpressionBuilderTarget = ((System.Web.UI.WebControls.LinkButton)(sender));
            Container = ((System.Web.UI.IDataItemContainer)(dataBindingExpressionBuilderTarget.BindingContainer));
            dataBindingExpressionBuilderTarget.Text = global::System.Convert.ToString( Eval("PicEvidence_DocName") , global::System.Globalization.CultureInfo.CurrentCulture);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control35(System.Web.UI.Control @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.LinkButton @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control36();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                "));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control37(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TemplateField @__BuildControl__control34() {
            global::System.Web.UI.WebControls.TemplateField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TemplateField();
            @__ctrl.ItemTemplate = new System.Web.UI.CompiledBindableTemplateBuilder(new System.Web.UI.BuildTemplateMethod(this.@__BuildControl__control35), null);
            @__ctrl.HeaderText = "Photo evidence Uploaded";
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
            this.@__BuildControl__control37(@__ctrl.HeaderStyle);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control39(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.BoundField @__BuildControl__control38() {
            global::System.Web.UI.WebControls.BoundField @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.BoundField();
            @__ctrl.DataField = "SORemarks";
            @__ctrl.HeaderText = "Remarks";
            @__ctrl.HeaderStyle.HorizontalAlign = global::System.Web.UI.WebControls.HorizontalAlign.Left;
            @__ctrl.ItemStyle.Width = new System.Web.UI.WebControls.Unit(25D, global::System.Web.UI.WebControls.UnitType.Percentage);
            this.@__BuildControl__control39(@__ctrl.HeaderStyle);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control29(System.Web.UI.WebControls.DataControlFieldCollection @__ctrl) {
            global::System.Web.UI.WebControls.BoundField @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control30();
            @__ctrl.Add(@__ctrl1);
            global::System.Web.UI.WebControls.BoundField @__ctrl2;
            @__ctrl2 = this.@__BuildControl__control32();
            @__ctrl.Add(@__ctrl2);
            global::System.Web.UI.WebControls.TemplateField @__ctrl3;
            @__ctrl3 = this.@__BuildControl__control34();
            @__ctrl.Add(@__ctrl3);
            global::System.Web.UI.WebControls.BoundField @__ctrl4;
            @__ctrl4 = this.@__BuildControl__control38();
            @__ctrl.Add(@__ctrl4);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control40(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = global::System.Drawing.Color.White;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control41(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(36, 97, 191)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control42(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(80, 124, 209)));
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control43(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(80, 124, 209)));
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control44(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(36, 97, 191)));
            @__ctrl.ForeColor = global::System.Drawing.Color.White;
            @__ctrl.HorizontalAlign = global::System.Web.UI.WebControls.HorizontalAlign.Center;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control45(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(239, 243, 251)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control46(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(209, 221, 241)));
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(51, 51, 51)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control47(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(245, 247, 251)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control48(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(109, 149, 225)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control49(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(233, 235, 239)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control50(System.Web.UI.WebControls.TableItemStyle @__ctrl) {
            @__ctrl.BackColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(72, 112, 190)));
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.GridView @__BuildControlGridView1() {
            global::System.Web.UI.WebControls.GridView @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.GridView();
            this.GridView1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "GridView1";
            @__ctrl.CellPadding = 4;
            @__ctrl.AutoGenerateColumns = false;
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(100D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.Visible = false;
            @__ctrl.ForeColor = ((System.Drawing.Color)(global::System.Drawing.Color.FromArgb(51, 51, 51)));
            @__ctrl.GridLines = global::System.Web.UI.WebControls.GridLines.Both;
            @__ctrl.CellSpacing = 4;
            this.@__BuildControl__control29(@__ctrl.Columns);
            this.@__BuildControl__control40(@__ctrl.AlternatingRowStyle);
            this.@__BuildControl__control41(@__ctrl.EditRowStyle);
            this.@__BuildControl__control42(@__ctrl.FooterStyle);
            this.@__BuildControl__control43(@__ctrl.HeaderStyle);
            this.@__BuildControl__control44(@__ctrl.PagerStyle);
            this.@__BuildControl__control45(@__ctrl.RowStyle);
            this.@__BuildControl__control46(@__ctrl.SelectedRowStyle);
            this.@__BuildControl__control47(@__ctrl.SortedAscendingCellStyle);
            this.@__BuildControl__control48(@__ctrl.SortedAscendingHeaderStyle);
            this.@__BuildControl__control49(@__ctrl.SortedDescendingCellStyle);
            this.@__BuildControl__control50(@__ctrl.SortedDescendingHeaderStyle);
            @__ctrl.RowDataBound -= new System.Web.UI.WebControls.GridViewRowEventHandler(this.grdCompliances_RowDataBound);
            @__ctrl.RowDataBound += new System.Web.UI.WebControls.GridViewRowEventHandler(this.grdCompliances_RowDataBound);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlGenericControl @__BuildControldvMainFormChecklist() {
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlGenericControl("div");
            this.dvMainFormChecklist = @__ctrl;
            @__ctrl.ID = "dvMainFormChecklist";
            @__ctrl.Visible = false;
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    <br />\r\n    <table border=\"1\" cellpadding=\"1\" cellspacing=\"1\" width=\"100%\">" +
                        "\r\n        <tr>\r\n            <td colspan=\"2\" style=\"background-color: #507CD1; wi" +
                        "dth: 20%; text-align: center; height: 30px; padding-left: 10px;\">\r\n             " +
                        "   "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel5();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n        </tr>\r\n        <tr>\r\n            <td colspan=\"2\" ali" +
                        "gn=\"right\">\r\n                "));
            global::System.Web.UI.WebControls.Button @__ctrl2;
            @__ctrl2 = this.@__BuildControlbtnhome();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n        </tr>\r\n        <tr>\r\n            <td style=\"backgrou" +
                        "nd-color: #507CD1; text-align: left; padding-left: 10px;\" class=\"auto-style1\">\r\n" +
                        "                "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControlLabel21();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n            <td style=\"background-color: #fff; padding-left:" +
                        " 10px; text-align: left;\" class=\"auto-style2\">\r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl4;
            @__ctrl4 = this.@__BuildControllblfrequency();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n        </tr>\r\n        <tr>\r\n            <td style=\"backgrou" +
                        "nd-color: #507CD1; width: 30%; text-align: left; height: 30px; padding-left: 10p" +
                        "x;\">\r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl5;
            @__ctrl5 = this.@__BuildControlLabel23();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n            <td style=\"background-color: #fff; padding-left:" +
                        " 10px; width: 60%; text-align: left; height: 30px;\">\r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl6;
            @__ctrl6 = this.@__BuildControllblchecklist();
            @__parser.AddParsedSubObject(@__ctrl6);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n        </tr>\r\n        <tr>\r\n            <td style=\"backgrou" +
                        "nd-color: #507CD1; text-align: left; padding-left: 10px;\" class=\"auto-style1\">\r\n" +
                        "                "));
            global::System.Web.UI.WebControls.Label @__ctrl7;
            @__ctrl7 = this.@__BuildControlLabel1();
            @__parser.AddParsedSubObject(@__ctrl7);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n            <td style=\"background-color: #fff; padding-left:" +
                        " 10px; text-align: left;\" class=\"auto-style2\">\r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl8;
            @__ctrl8 = this.@__BuildControllblBU();
            @__parser.AddParsedSubObject(@__ctrl8);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n        </tr>\r\n        <tr>\r\n            <td style=\"backgrou" +
                        "nd-color: #507CD1; width: 30%; text-align: left; height: 30px; padding-left: 10p" +
                        "x;\">\r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl9;
            @__ctrl9 = this.@__BuildControlLabel3();
            @__parser.AddParsedSubObject(@__ctrl9);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n            <td style=\"background-color: #fff; padding-left:" +
                        " 10px; width: 60%; text-align: left; height: 30px;\">\r\n                "));
            global::System.Web.UI.WebControls.DropDownList @__ctrl10;
            @__ctrl10 = this.@__BuildControlddlProjectCode();
            @__parser.AddParsedSubObject(@__ctrl10);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                \r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl11;
            @__ctrl11 = this.@__BuildControllblProject();
            @__parser.AddParsedSubObject(@__ctrl11);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("</td>\r\n        </tr>\r\n        <tr>\r\n            <td style=\"background-color: #507" +
                        "CD1; text-align: left; padding-left: 10px;\" class=\"auto-style1\">\r\n              " +
                        "  "));
            global::System.Web.UI.WebControls.Label @__ctrl12;
            @__ctrl12 = this.@__BuildControlLabel22();
            @__parser.AddParsedSubObject(@__ctrl12);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            </td>\r\n            <td style=\"background-color: #fff; padding-left:" +
                        " 10px; text-align: left;\" class=\"auto-style2\">\r\n                "));
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl13;
            @__ctrl13 = this.@__BuildControlDateTimeControl1();
            @__parser.AddParsedSubObject(@__ctrl13);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                "));
            global::System.Web.UI.WebControls.Label @__ctrl14;
            @__ctrl14 = this.@__BuildControllbldtinitiation();
            @__parser.AddParsedSubObject(@__ctrl14);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("</td>\r\n            </td>\r\n        </tr>\r\n    </table>\r\n    "));
            global::System.Web.UI.WebControls.GridView @__ctrl15;
            @__ctrl15 = this.@__BuildControlgrdCompliances();
            @__parser.AddParsedSubObject(@__ctrl15);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    "));
            global::System.Web.UI.WebControls.GridView @__ctrl16;
            @__ctrl16 = this.@__BuildControlGridView1();
            @__parser.AddParsedSubObject(@__ctrl16);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrbyes() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rbyes = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rbyes";
            @__ctrl.Text = "Yes";
            @__ctrl.CssClass = "auto-style3";
            @__ctrl.ValidationGroup = "Certify";
            @__ctrl.GroupName = "Certify";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrbno() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rbno = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rbno";
            @__ctrl.Text = "No";
            @__ctrl.CssClass = "auto-style3";
            @__ctrl.ValidationGroup = "Certify";
            @__ctrl.GroupName = "Certify";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Button @__BuildControlbtnsubmit() {
            global::System.Web.UI.WebControls.Button @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Button();
            this.btnsubmit = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Medium;
            @__ctrl.ID = "btnsubmit";
            @__ctrl.Text = "Submit";
            @__ctrl.Click -= new System.EventHandler(this.btnsubmit_Click);
            @__ctrl.Click += new System.EventHandler(this.btnsubmit_Click);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel13() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label13 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label13";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Large;
            @__ctrl.Text = "You are not authorized to access";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel114() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label114 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label114";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Large;
            @__ctrl.Text = "[Can be filled only by safety officer]";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlGenericControl @__BuildControldvUnAuth() {
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlGenericControl("div");
            this.dvUnAuth = @__ctrl;
            @__ctrl.ID = "dvUnAuth";
            @__ctrl.Visible = false;
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel13();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    <br />\r\n    <br />\r\n    <br />\r\n    "));
            global::System.Web.UI.WebControls.Label @__ctrl2;
            @__ctrl2 = this.@__BuildControlLabel114();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblSOSubNotification() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblSOSubNotification = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblSOSubNotification";
            @__ctrl.Font.Bold = true;
            @__ctrl.ForeColor = global::System.Drawing.Color.Blue;
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Medium;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblLinkClosureNotification() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblLinkClosureNotification = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblLinkClosureNotification";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProjectCode() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProjectCode = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProjectCode";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblTransactionID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblTransactionID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblTransactionID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblRCMID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblRCMID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblRCMID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblRCMName() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblRCMName = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblRCMName";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblRCMEmail() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblRCMEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblRCMEmail";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblPMID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblPMID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblPMID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblPMName() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblPMName = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblPMName";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblPMEmail() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblPMEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblPMEmail";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblbuheadid() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblbuheadid = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblbuheadid";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblbuheadName() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblbuheadName = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblbuheadName";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblbuheadEmail() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblbuheadEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblbuheadEmail";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblHead() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblHead = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblHead";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblHeadID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblHeadID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblHeadID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblHeadEmail() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblHeadEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblHeadEmail";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblSOName() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblSOName = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblSOName";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblSOID() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblSOID = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblSOID";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblSOEmail() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblSOEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblSOEmail";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblNewSBU() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblNewSBU = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblNewSBU";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblError() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblError = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblError";
            @__ctrl.ForeColor = global::System.Drawing.Color.Red;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblInduCoE() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblInduCoE = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblInduCoE";
            @__ctrl.Visible = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControlTree(global::SafetyAutomation.HiratalkChecklist.HiratalkChecklist @__ctrl) {
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"
<style type=""text/css"">
    .table {
        padding: 0;
        border-spacing: 0;
        text-align: center;
        font-family: 'Trebuchet MS';
        font-size: 10pt;
        vertical-align: middle;
        border-collapse: collapse;
    }
    .auto-style1 {
        height: 30px;
    }
    .required {
        color: Red;
    }
    .auto-style2 {
        width: 60%;
        height: 30px;
    }
</style>
<script>
    function ReloadFun() {
        _spFormOnSubmitCalled = false; _spSuppressFormOnSubmitWrapper = true;
    }
</script>
"));
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl1;
            @__ctrl1 = this.@__BuildControldvMainFormChecklist();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"
<table width=""100%"">
    <tr>
        <td style=""background-color: #fff; text-align: left; padding-left: 10px; text-align: center"" class=""auto-style1"" colspan=""2"">
            <font color=""#000000"" cssclass=""auto-style3"" face=""Trebuchet MS"">
                            I here by self certify above furnished information is accurate.
                        "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl2;
            @__ctrl2 = this.@__BuildControlrbyes();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                        "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl3;
            @__ctrl3 = this.@__BuildControlrbno();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                        </font></td>\r\n    </tr>\r\n    <tr>\r\n        <td style=\"t" +
                        "ext-align: center\">\r\n            "));
            global::System.Web.UI.WebControls.Button @__ctrl4;
            @__ctrl4 = this.@__BuildControlbtnsubmit();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n</table>\r\n"));
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl5;
            @__ctrl5 = this.@__BuildControldvUnAuth();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n<table>\r\n    <tr>\r\n        <td>\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl6;
            @__ctrl6 = this.@__BuildControllblSOSubNotification();
            @__parser.AddParsedSubObject(@__ctrl6);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n    <tr>\r\n        <td>&nbsp;</td>\r\n    </tr>\r\n    <tr" +
                        ">\r\n        <td>\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl7;
            @__ctrl7 = this.@__BuildControllblLinkClosureNotification();
            @__parser.AddParsedSubObject(@__ctrl7);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        </td>\r\n    </tr>\r\n</table>\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl8;
            @__ctrl8 = this.@__BuildControllblProjectCode();
            @__parser.AddParsedSubObject(@__ctrl8);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl9;
            @__ctrl9 = this.@__BuildControllblTransactionID();
            @__parser.AddParsedSubObject(@__ctrl9);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl10;
            @__ctrl10 = this.@__BuildControllblRCMID();
            @__parser.AddParsedSubObject(@__ctrl10);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl11;
            @__ctrl11 = this.@__BuildControllblRCMName();
            @__parser.AddParsedSubObject(@__ctrl11);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl12;
            @__ctrl12 = this.@__BuildControllblRCMEmail();
            @__parser.AddParsedSubObject(@__ctrl12);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl13;
            @__ctrl13 = this.@__BuildControllblPMID();
            @__parser.AddParsedSubObject(@__ctrl13);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl14;
            @__ctrl14 = this.@__BuildControllblPMName();
            @__parser.AddParsedSubObject(@__ctrl14);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl15;
            @__ctrl15 = this.@__BuildControllblPMEmail();
            @__parser.AddParsedSubObject(@__ctrl15);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl16;
            @__ctrl16 = this.@__BuildControllblbuheadid();
            @__parser.AddParsedSubObject(@__ctrl16);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl17;
            @__ctrl17 = this.@__BuildControllblbuheadName();
            @__parser.AddParsedSubObject(@__ctrl17);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl18;
            @__ctrl18 = this.@__BuildControllblbuheadEmail();
            @__parser.AddParsedSubObject(@__ctrl18);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl19;
            @__ctrl19 = this.@__BuildControllblHead();
            @__parser.AddParsedSubObject(@__ctrl19);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl20;
            @__ctrl20 = this.@__BuildControllblHeadID();
            @__parser.AddParsedSubObject(@__ctrl20);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl21;
            @__ctrl21 = this.@__BuildControllblHeadEmail();
            @__parser.AddParsedSubObject(@__ctrl21);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl22;
            @__ctrl22 = this.@__BuildControllblSOName();
            @__parser.AddParsedSubObject(@__ctrl22);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl23;
            @__ctrl23 = this.@__BuildControllblSOID();
            @__parser.AddParsedSubObject(@__ctrl23);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl24;
            @__ctrl24 = this.@__BuildControllblSOEmail();
            @__parser.AddParsedSubObject(@__ctrl24);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl25;
            @__ctrl25 = this.@__BuildControllblNewSBU();
            @__parser.AddParsedSubObject(@__ctrl25);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl26;
            @__ctrl26 = this.@__BuildControllblError();
            @__parser.AddParsedSubObject(@__ctrl26);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
            global::System.Web.UI.WebControls.Label @__ctrl27;
            @__ctrl27 = this.@__BuildControllblInduCoE();
            @__parser.AddParsedSubObject(@__ctrl27);
        }
        private void InitializeControl() {
            this.@__BuildControlTree(this);
            this.Load += new global::System.EventHandler(this.Page_Load);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual object Eval(string expression) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual string Eval(string expression, string format) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression, format);
        }
    }
}
